<?php
/**
 * datum setup
 *
 * @package datum
 * @since   3.2.0
 */

defined( 'ABSPATH' ) || exit;

/**
 * Main datum Class.
 *
 * @class datum
 */
if (!class_exists('datumCreatepage')) {
	/**
	 * 
	 */
	class datumCreatepage 
	{
		
		function __construct()
		{
			$this->init_hooks();
		}

		public function init_hooks(){
			add_action( 'admin_init', array($this,'datum_page_create'));
			add_action( 'admin_init', array($this,'datum_page_create_extra'));
		}

		public function pageList(){
			return array(
				'for-sale'			=> 'For Sale',
				'closed'			=> 'Closed',
				'agents'			=> 'Agents',
				'my-listing'		=> 'My Listing',
				'office'			=> 'Office',
				'industrial'		=> 'Industrial',
				'retail'			=> 'Retail',
				'multifamily'		=> 'Multifamily',
				'healthcare'		=> 'Healthcare',
				'hospitality'		=> 'Hospitality',
				'land-development'	=> 'Land Development',
				'insight'	        => 'Insights',
				'preview'			=> 'Preview',
				'for-lease'         => 'For Lease',
			);
		}

		
		public function pageID(){
			return array(
				'for-sale' 				=> 'datum_property_listing_id',
				'closed-listings' 		=> 'datum_property_closed_id',
				'agents'        		=> 'datum_agent_id',
				'office'	 			=> 'datum_office_page_id',
				'industrial'	 		=> 'datum_industrial_page_id',
				'retail'	 			=> 'datum_retail_page_id',
				'multifamily'	 		=> 'datum_multifamily_page_id',
				'healthcare'	 		=> 'datum_healthcare_page_id',
				'hospitality'	 		=> 'datum_hospitality_page_id',
				'land-development'	 	=> 'datum_land_page_id',
				'insight'	 	        => 'datum_insights_page_id',
				'preview'	 	        => 'datum_preview_page_id',
				'for-lease'             => 'datum_for_lease_listing_id',
			);
		}

		public function datum_page_create(){
			$page_id = $this->pageID();
			if ( ! get_option( 'datum_installed' ) ) {
				$listings_page_id = wp_insert_post( 
		        	array(
			            'post_title'     => 'Listings',
			            'post_type'      => 'page',
			            'post_name'      => 'listings',
			            'comment_status' => 'closed',
			            'ping_status'    => 'closed',
			            'post_content'   => '',
			            'post_status'    => 'publish',
			            'post_author'    => get_user_by( 'id', 1 )->user_id,
			            'menu_order'     => 0
			        ) 
		        );

				foreach ($this->pageList() as $key => $value) {	
			        $array = array(
			            'post_title'     => $value,
			            'post_type'      => 'page',
			            'post_name'      => $key,
			            'comment_status' => 'closed',
			            'ping_status'    => 'closed',
			            'post_content'   => '',
			            'post_status'    => 'publish',
			            'post_author'    => get_user_by( 'id', 1 )->user_id,
			            'menu_order'     => 0
			        );

			        switch ($key) {
			        	case 'for-sale':
			        	case 'closed-listings':
						case 'for-lease':
			        	$array['post_parent'] = $listings_page_id;
			        		break;
			        	case 'agents':
			        		break;
			        	case 'my_listing':
			        		break;
			        	default:
			        		break;
			        }

			        $new_page_id = wp_insert_post($array);

			        if ( $new_page_id && ! is_wp_error( $new_page_id ) ){
			            update_post_meta( $new_page_id, '_wp_page_template', 'datum_listing.php' );
			        }
			        
			        update_option( 'datum_installed', true );
			        update_option($page_id[$key],$new_page_id );
			    }
			}

		}
		public function datum_page_create_extra(){

			$page_id = $this->pageID();
			if ( ! get_option( 'datum_page_create_extra' ) ) {
				

				foreach ($this->pageList() as $key => $value) {	
					if($key != 'for-sale' || $key != 'closed-listings' || $key != 'agents' || $key != 'closed-listings'){
				        $array = array(
				            'post_title'     => $value,
				            'post_type'      => 'page',
				            'post_name'      => $key,
				            'comment_status' => 'closed',
				            'ping_status'    => 'closed',
				            'post_content'   => '',
				            'post_status'    => 'publish',
				            'post_author'    => 1,
				            'menu_order'     => 0
				        );

				        switch ($key) {
				        	case 'for-sale':
				        	case 'closed-listings':
							case 'for-lease':
				        		$array['post_parent'] = $listings_page_id;
				        		break;
				        	case 'agents':
				        		break;
				        	case 'my_listing':
				        		break;
				        	default:
				        		break;
				        }

				        $new_page_id = wp_insert_post($array);

				        
				        update_option( 'datum_page_create_extra', true );
				        update_option($page_id[$key],$new_page_id );
				    }
			    }
			}

		}


	}
}

return new datumCreatepage();