<?php
/**
 * datum setup
 *
 * @package datuuserince   3.2.0
 */

defined( 'ABSPATH' ) || exit;

/**
 * Main datum Class.
 *
 * @class datum
 */
use Hybridauth\Exception\Exception;
use Hybridauth\Hybridauth;
use Hybridauth\HttpClient;
use Hybridauth\Storage\Session;

		
class DM_Hybridauth {

	public static function init() {
		add_action( 'init', 	array( __CLASS__, 'hybridauthOutput' ), 0 );
		add_action( 'wp_head', array(__CLASS__,'addFooterHtml'), 2 );
		add_action( 'wp_head',  array( __CLASS__, 'hybridauthLogin' ), 0 );
	}

	public static function addFooterHtml(){

	}

	public static function hybridauthOutput(){
		if (isset($_GET['provider']) || isset($_GET['code']) ) {
		    try {
		    	$config = [
				    'callback' => home_url(),
				    'providers' => [
				        'LinkedIn' => [
				            'enabled' => true,
				            'keys' => [
				                'id' => '77qpi88brws1vg',
				                'secret' => '3jb7qFP90eKxAtAY',
				            ],
				            "scope"   => "r_liteprofile r_emailaddress",
				        ],
				    ]
				];
		        /**
		         * Feed configuration array to Hybridauth.
		         */
		        $hybridauth = new Hybridauth($config);

		        /**
		         * Initialize session storage.
		         */
		        $storage = new Session();

		        /**
		         * Hold information about provider when user clicks on Sign In.
		         */
		        if (isset($_GET['provider'])) {
		            
		            if (isset($_GET['type']) && $_GET['type'] == 'login' ) {
		                $storage->set('type', 'login');
		                if(isset($_GET['property_id']) && $_GET['property_id'] != ''){
		                    $storage->set('property_id', $_GET['property_id']);
		                    $storage->set('URL', $_GET['URL']);
		                    $storage->set('caType', $_GET['caType']);
		                    $storage->set('favProperty', $_GET['favProperty']);
		                    $storage->set('favorite', $_GET['favorite']);
		                    $storage->set('press_release', $_GET['press_release']);
		                }
		            }else{

		            	$storage->set('URL', $_GET['URL']);
		                $storage->set('type', 'register');	
		            }

		            $storage->set('provider', $_GET['provider']);
		        }

		        /**
		         * When provider exists in the storage, try to authenticate user and clear storage.
		         *
		         * When invoked, `authenticate()` will redirect users to provider login page where they
		         * will be asked to grant access to your application. If they do, provider will redirect
		         * the users back to Authorization callback URL (i.e., this script).
		         */
		        if ($provider = $storage->get('provider')) {  
		            $adapter        = $hybridauth->authenticate($provider);
		            $storage->set('provider', null);
		        }

		        /**
		         * This will erase the current user authentication data from session, and any further
		         * attempt to communicate with provider.
		         */
		        if (isset($_GET['logout'])) {
		            $adapter = $hybridauth->getAdapter($_GET['logout']);
		            $adapter->disconnect();
		        }

		        /**
		         * Redirects user to home page (i.e., index.php in our case)
		         */
		        //HttpClient\Util::redirect('http://localhost/loginwith/index.php');
		    } catch (Exception $e) {
		        echo $e->getMessage();
		    }    
		}

		if (isset($_GET['code']) ) {

		    global $social_array;
		    global $social;
		    global $social_email;
		  	$config = [
			    'callback' => home_url(),
			    'providers' => [
			        'LinkedIn' => [
			            'enabled' => true,
			            'keys' => [
			                'id' => '77qpi88brws1vg',
			                'secret' => '3jb7qFP90eKxAtAY',
			            ],
			            "scope"   => "r_liteprofile r_emailaddress",
			        ],
			    ]
			];

		    $hybridauth     = new Hybridauth($config);
		    $adapter        = $hybridauth->authenticate('LinkedIn');

			
		    $getUserProfile = $adapter->getUserProfile();
		    $social_email   = base64_encode($adapter->getUserEmail());
		    $type 			= $storage->get('type');
		    $property_id 	= $storage->get('property_id');
		    $caType 	= $storage->get('caType');
		    $press_release 	= $storage->get('press_release');

		    $URL = $storage->get('URL');

		    
		         
		    if( isset($type) && $type == 'register' ) {
			    $url = $URL .'?social_login=3&caType='.$caType.'&email='.$social_email;
		    }else{
			    if( isset($type) && $type == 'login' ) {
			        $url = $URL .'?social_login=1&caType='.$caType.'&email='.$social_email.'&property_id='.$property_id.'&press_release='.$press_release;
			    }else{
			    	$url = $URL .'?social_login=2&caType='.$caType.'&email='.$social_email.'&property_id='.$property_id.'&press_release='.$press_release;
			    }
		    }
		    //$adapter = $hybridauth->getAdapter('LinkedIn');
        	//$adapter->disconnect();
        
		    HttpClient\Util::redirect($url);

		}
	}


	public static function hybridauthLogin(){
		
		if(isset($_GET['social_login']) && $_GET['social_login'] == '1'){
			$config = [
			    'callback' => home_url(),
			    'providers' => [
			        'LinkedIn' => [
			            'enabled' => true,
			            'keys' => [
			                'id' => '77qpi88brws1vg',
			                'secret' => '3jb7qFP90eKxAtAY',
			            ],
			            "scope"   => "r_liteprofile r_emailaddress",
			        ],
			    ]
			];

		    $hybridauth     = new Hybridauth($config);
		    $adapter        = $hybridauth->authenticate('LinkedIn');
		    $getUserProfile = $adapter->getUserProfile();
		    $social_email   = base64_encode($adapter->getUserEmail());

		

			$post['user_agent'] 	= $_SERVER['HTTP_USER_AGENT'];
			$post['user_ip'] 		= $_SERVER['REMOTE_ADDR'];
			$post['email'] 			= base64_decode($_GET['email']);
			$post['social_login'] 	= 'social';
			$post['firstName'] 		= $getUserProfile->firstName;
			$post['lastName'] 		= $getUserProfile->lastName;
			$post['Title'] 			= $getUserProfile->displayName;
			$post['LinkedinImage'] 	= $getUserProfile->photoURL;


			global $single_property,$datum_user;
			
			$data = DM_Curl::HTTPPost($post,'login');
				
			$user = json_decode($data);
			
			$datum_user = $user->data->user;
			
			if( $user->data->user->IsRegistrationCompleted == 0 || 
				!$user->data->user->IsAccountVerified || 
				$user->isNextUpdateDate ||
				($user->IsContactCreatedByDashboard  != '' && $user->IsupdateDashbord == '') 
			){
				$cookie_name 	= "access_token";
				$cookie_value 	= $user->access_token;
				setcookie($cookie_name, $cookie_value, time() + 86400, "/");
			}else{
				$upload 	= wp_upload_dir();
				$cookie_name 	= "access_token";
				$cookie_value 	= $user->access_token;
				setcookie($cookie_name, $cookie_value, time() + 86400, "/");
			}
			?>
			<script type="text/javascript">
				var uri = window.location.toString();
				if (uri.indexOf("?") > 0) {
				    var clean_uri = uri.substring(0, uri.indexOf("?"));
				    window.history.replaceState({}, document.title, clean_uri);
				}
				var property_id = '<?php echo $_GET['property_id']; ?>';
        		var ajax_url 	= "<?php echo admin_url('admin-ajax.php'); ?>";
				/*window.addEventListener("beforeunload", function (e) {
					var confirmationMessage = "\o/";

					(e || window.event).returnValue = confirmationMessage; //Gecko + IE
					return confirmationMessage;                            //Webkit, Safari, Chrome
				});*/
        		setTimeout(function(){
                	var timeZone = Intl.DateTimeFormat().resolvedOptions().timeZone;
                	var loginFrm = ajax_url+'?action=loginFrm';
	                jQuery.ajax({
	                    type    : 'POST', 
	                    url     : loginFrm,
	                    data    :  {
	                    			'type':'social',
	                    			'email':'<?php echo base64_decode($_GET['email']) ?>',
	                    			'social_login':'social',
	                    			'caType':'<?php echo $_GET['caType']; ?>',
	                    			'favProperty':'<?php echo $_GET['favProperty']; ?>',
	                    			'favorite':'<?php echo $_GET['favorite']; ?>',
	                    			'timezon':timeZone,

	                    			'property_id':'<?php echo $_GET['property_id']; ?>',
	                    			'press_release':'<?php echo $_GET['press_release']; ?>',
	                    		},
	                    dataType: 'json',
	                    beforeSend : function() {
	                        $('#loadingover').show();
    						$('#loadingmsg').show();
	                    },
	                    success : function(res) {
	                        $('#error_login').html('');
	                        switch(res.data.type) {
	                            case 'success' :
	                                if($('#popup_main').val() == 1){
	                                    if(res.data.IsAccountVerified == 1){
	                                    	showingUserDetalis();
	                                         //window.location.href = window.location.href.split('?')[0];
	                                    }else{
	                                    	if(!$('#comman_model').hasClass('is-visible')){
									            $('#comman_model').toggleClass('is-visible');
									        }
									        $('body').addClass('datum_opened_modal');
	                                        $('#datum_popup_html').html(res.data.html);
	                                        if(res.data.dd_html != ''){
	                                            jQuery('#datum_tree_row').html(res.data.dd_html);
	                                        }
	                                        if(res.data.user_id != 'undefined' && res.data.user_id != ''){
	                                        	//$('#user_id').val(res.data.user_id);
	                                        }
	                                       
	                                        if(res.data.IsAccountVerified != 0){
	                                            if(res.data.new_register != 'undefined' && res.data.new_register != '' ){
	                                                $('#password').html(res.data.password);
	                                                $('#confirm_password').html(res.data.password);
	                                                //$('#user_id').html(res.data.user_id);
	                                                
	                                            }else{
	                                                //showingUserDetalis();
	                                            }
	                                        }
	                                    }
	                                }else{

                                        if(typeof res.data.favorite == 'undefined') {
                                            if(res.data.press_release_type == '1'){
                                                if(res.data.is_press_release == 1){
                                                    const a = document.createElement('a');
                                                    a.style.display = 'none';
                                                    a.href = res.data.pp_link;                                                    
                                                    a.download = res.data.pp_name;
                                                    document.body.appendChild(a);
                                                    a.click();
                                                    
                                                    //window.URL.revokeObjectURL(res.data.pp_link);
                                                    //window.location.href = window.location.href.split('?')[0];
                                                }else{
                                                    window.open(res.data.pp_link);
                                                    //window.location.href = window.location.href.split('?')[0];
                                                }
                                            }else{
                                                if(res.data.property_id == "") {
                                                    //window.location.href = window.location.href.split('?')[0];
                                                } else {
                                                	if(!$('#comman_model').hasClass('is-visible')){
											            $('#comman_model').toggleClass('is-visible');
											        }
											        $('body').addClass('datum_opened_modal');
											        setTimeout(function(){
                                                    	$('#datum_popup_html').html(res.data.html);
											        }, 1000);
											        setTimeout(function(){
                                                    	jQuery('#datum_tree_row').html(res.data.dd_html);
											        }, 1100);
                                                    if(res.data.dd_html != ''){
                                                        jQuery('#datum_tree_row').html(res.data.dd_html);
                                                    }
                                                    if(res.data.new_register != '1'){
                                                        //showingUserDetalis();
                                                    }
                                                }
                                                
                                            }
                                        } else {
                                            if(res.data.favorite.popup) {
                                                if(!$('#comman_model').hasClass('is-visible')){
										            $('#comman_model').toggleClass('is-visible');
										        }
										        if(res.data.user_id != 'undefined' && res.data.user_id != ''){
		                                        	$('#user_id').val(res.data.user_id);
		                                        }
										        $('body').addClass('datum_opened_modal');
                                                $('#datum_popup_html').html(res.data.html);
                                                if(res.data.dd_html != ''){
                                                    jQuery('#datum_tree_row').html(res.data.dd_html);
                                                }
                                                //showingUserDetalis();
                                            } else if(res.data.isNextUpdateDate == 1) {
                                                if(!$('#comman_model').hasClass('is-visible')){
										            $('#comman_model').toggleClass('is-visible');
										        }
										        if(res.data.user_id != 'undefined' && res.data.user_id != ''){
		                                        	$('#user_id').val(res.data.user_id);
		                                        }
										        $('body').addClass('datum_opened_modal');
                                                setTimeout(function(){
                                                	$('#datum_popup_html').html(res.data.html);
										        }, 2000);
                                                if(res.data.dd_html != ''){
                                                    jQuery('#datum_tree_row').html(res.data.dd_html);
                                                }
                                                
                                                if(res.data.dd_html != ''){
                                                    jQuery('#datum_tree_row').html(res.data.dd_html);
                                                }
                                            }else{
                                                 //window.location.href = window.location.href.split('?')[0];
                                            }
                                        }
                                        if(res.data.dd_html != ''){
                                            jQuery('#datum_tree_row').html(res.data.dd_html);
                                        }

                                        if(typeof res.data.new_register == 'undefined' && res.data.new_register != 1 && res.data.IsAccountVerified != 0) {
                                        	showingUserDetalis();
                                        }
                                        $('#open_register').removeClass('hide_s');
	                                }
	                                

	                        break;
	                            case 'failure' :
	                            	jQuery('.datum_header_login').trigger( "click" );
	                            	setTimeout(function(){
		                                for(var i in res.data.html) {
		                                    var msgs = '';
		                                    if(res.data.html[i].length) {                                
		                                        jQuery("#"+ i ).html(res.data.html[i]);
		                                        //jQuery("."+ i ).addClass('alert-text');
		                                    }
		                                }
	                                }, 2000);
	                                break;
	                            default :
	                                break;
	                        }
	                        
	                    },
	                    complete : function() {
	                        $('#loadingover').hide();
							$('#loadingmsg').hide();
	                    }
	                });
					function showingUserDetalis(){
    
		            var showing_user_detalis = ajax_url+'?action=showing_user_detalis';
		            jQuery.ajax({
		                type    : 'POST', 
		                url     : showing_user_detalis,
		                data    :  {},
		                dataType: 'json',
		                beforeSend : function() {
		                    setTimeout(function(){
								$('#loadingover').show();
								$('#loadingmsg').show();
							}, 500);
		                },
		                success : function(res) {
		                   switch(res.data.type) {
		                        case 'success' :
		                            $('.navbar-nav .header-btn').remove();
		                            $('.navbar-nav').append(res.data.html);
		                            //window.location.href = '';
		                            break;
		                        case 'failure' :
		                            for(var i in res.data.html) {
		                                var msgs = '';
		                                if(res.data.html[i].length) {                                
		                                    jQuery("#"+ i ).html(msgTemplate.replace(/{{type}}/g, 'danger').replace(/{{msg}}/g, res.data.html[i]));
		                                    jQuery("."+ i ).addClass('alert-text');
		                                }
		                            }
		                            break;
		                        default :
		                            break;
		                    }
		                },
		                complete : function() {
							setTimeout(function(){
								$('#loadingover').hide();
								$('#loadingmsg').hide();
							}, 500);
		                }
		            });
		        }
                }, 1200);

            </script>
			<?php
		}else{
			if(isset($_GET['social_login']) && $_GET['social_login'] == '3'){

				?>
				<script type="text/javascript">
	            	var uri = window.location.toString();
					if (uri.indexOf("?") > 0) {
					    var clean_uri = uri.substring(0, uri.indexOf("?"));
					    window.history.replaceState({}, document.title, clean_uri);
					}
					/*window.addEventListener("beforeunload", function (e) {
					var confirmationMessage = "\o/";

					(e || window.event).returnValue = confirmationMessage; //Gecko + IE
					return confirmationMessage;                            //Webkit, Safari, Chrome
					});*/
					var ajax_url = "<?php echo admin_url('admin-ajax.php'); ?>";
					var popuphtml = ajax_url+'?action=popuphtml';
            			setTimeout(function(){
                    	jQuery(document).ready(function(){
                        	jQuery.ajax({
						        type    : 'POST', 
						        url     : popuphtml,
						        data    :  
						        {
						                'popuphtml':'register_new_html', 
						        },
						        dataType: 'json',
						        beforeSend : function() {
									setTimeout(function(){
										$('#loadingover').show();
										$('#loadingmsg').show();
									}, 500);
						        },
						        success : function(res) {
						           	switch(res.data.type) {
						                case 'success' :
		                                    $('#datum_popup_html').html(res.data.html);
																			               
						                break;
						                case 'failure' :
						                    for(var i in res.data.html) {
						                        var msgs = '';
						                        if(res.data.html[i].length) {    
						                            jQuery("#"+ i ).html(msgTemplate.replace(/{{type}}/g, 'danger').replace(/{{msg}}/g, res.data.html[i]));
						                            jQuery("."+ i ).addClass('alert-text');
						                        }
						                    }
						                    break;
						                default :
						                    break;
						            }
						      	},
						        complete : function() {
						            if(!$('#comman_model').hasClass('is-visible')){
							            $('#comman_model').toggleClass('is-visible');
							        }
							        $('body').addClass('datum_opened_modal');
									$('#loadingover').hide();
    								$('#loadingmsg').hide();
                                    
						        }
						    });
                    	});
                    }, 700);
                </script>
				<?php
				
			}
		}
	}
}
DM_Hybridauth::init();