$(document).ready(function () {
        
    var timeZone = Intl.DateTimeFormat().resolvedOptions().timeZone;
    $("#timezoneadd").val(timeZone);
    $(".show_password_texbox").click(function(){
        var password = $(this).closest('.datum_pw_box').find('input');
        var type = "";
        var className = '';
        if(password.attr('type') == "password") {
            type = "text";
            $(this).removeClass("fa-eye-slash");
            $(this).addClass('fa-eye');
        } else {
            type = "password";
            $(this).removeClass("fa-eye");
            $(this).addClass('fa-eye-slash');
        }
        password.attr('type', type);
    });

    $("#new_user_register").validate({
        rules: {
            email: {
                required: true,
                email: true
            },
            password: {
                required: $(".cu_step").val() == '1' ? true : false,
                minlength: 8,
                pwcheck: true,
            },
            confirm_password: {
                required: $(".cu_step").val() == '1' ? true : false,
                equalTo: "#password"
            },
        },
        messages: {
            email: {
                required: "Email Address is required.",
                email: "Please enter a valid Email Address."
            },
            password: {
                required: "Password is required.",
                pwcheck: "Password must be minimum 8 characters with at least 1 lowercase letter, 1 uppercase letter, 1 numeric character, and 1 special character.",
                minlength: "Password must be at least 8 characters."
            },
            confirm_password: {
                equalTo: "Passwords do not match.",
                required: "Confirm Password is required.",
            },
        },
        submitHandler: function(form) {
            $(form).find('[type="submit"]').prop('disabled', true);
            
            var new_user_register = ajax_url+'?action=new_user_register';
            //var msgTemplate = '<div class="alert  alert-{{type}}">' + '{{msg}}' +'</div>';
            //var data = new FormData(this);
            jQuery.ajax({
                type    : 'POST', 
                url     : new_user_register,
                data    :  $(form).serialize(),
                dataType: 'json',
                beforeSend : function() {
                    loadingshow();
                },
                success : function(res) {
                    $('#error_login').html('');
                    $(form).find('[type="submit"]').prop('disabled', false);

                   switch(res.data.type) {
                        case 'success' :   
                        $('#datum_popup_html').html(res.data.html);
                        $('#email').val(res.data.email);
                        $('#reenter_email_address').val(res.data.email);
                        $('#password').val(res.data.password);
                        $('#confirm_password').val(res.data.password);
                        $('#user_id').val(res.data.user_id);
                    break;
                        case 'failure' :
                            _res = res.data.html;   
                            $(form).find('.js-error').html('');
                            $.each(_res, function(index, val) {
                                $(form).find(':input[name="' + index + '"]').closest('.datum_form_group').find('.js-error').html(val);
                            });
                            break;
                        default :
                            break;
                    }
                    if(res.data.dd_html != ''){
                        jQuery('#datum_tree_row').html(res.data.dd_html);
                    }
                },
                complete : function() {
                    loadinghide();
                }
            });
            return false;
        }
    });

    jQuery.validator.addMethod('email', function (value, element) {
        if (/^([a-zA-Z0-9_\-\.]+)\+?([a-zA-Z0-9_\-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([a-zA-Z0-9\-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$/.test(value)) {
            return true;
        } else {
            return false;
        };
    });
    jQuery.validator.addMethod('pwcheck', function (value, element) {
        if (/^(?=.*[A-Z])(?=.*[!@#$&*])(?=.*[0-9])(?=.*[a-z]).{8,100}$/.test(value)) {
            return true;
        } else {
            return false;
        };
    });
    
});