<div class="datum_modal_wrapper datum_modal_transition">
    <div class="datum_login_popupbox">
        <h2>Change Password</h2>
        <a class="datum_Change_close" href="javascript:void(0);">&times;</a>
        <div class="datum_login_content">
            <form id="datum_change_password_form" method="post" name="datum_change_password_form">
                <input type="hidden" name="change_password" value="yes">
                <div class="datum_form_group datum_pw_box" style="margin-top: 15px;">
                    <label class="datum_label"><?php  _e("Current Password",'datum'); ?><span>*</span> </label>
                    <input type="password" id="current_password" name="current_password" class="datum_form-control">
                    <span toggle="#password" class="fa fa-eye-slash field-icon toggle-password-h npcg_np1 show_password_texbox"></span>
                    <span class="error js-error"></span>
                </div>
                <div class="datum_form_group datum_pw_box">
                    <label class="datum_label"><?php  _e("New Password",'datum'); ?><span>*</span></label>
                    <input type="password" id="new_password" name="new_password" class="datum_form-control">
                    <span toggle="#password" class="fa fa-eye-slash field-icon toggle-password-h npcg_np1 show_password_texbox"></span>
                    <span class="error js-error"></span>
                </div>
                <div class="datum_form_group datum_pw_box">
                    <label class="datum_label"><?php  _e("Re-enter New Password",'datum'); ?><span>*</span></label>
                    <input type="password" id="reenter_password" name="reenter_password" class="datum_form-control">
                    <span toggle="#password" class="fa fa-eye-slash field-icon toggle-password-h npcg_np1 show_password_texbox"></span>
                    <span class="error js-error"></span>
                </div>
                <div class="datum_row datum_change-pw-row">
                    
                    <button type="submit" class="datum_btn_primary btn-lg top-space datum_float_right "><?php  _e("Update",'datum'); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>
<style>
    .top-space {
        margin-top: 10px;
    }
    .datum_float_left {
        float: inherit !important;
    }
</style>
<script type="text/javascript">
    $(".show_password_texbox").click(function(){
            var password = $(this).closest('.datum_pw_box').find('input');
            var type = "";
            var className = '';
            if(password.attr('type') == "password") {
                type = "text";
                $(this).removeClass("fa-eye-slash");
                $(this).addClass('fa-eye');
            } else {
                type = "password";
                $(this).removeClass("fa-eye");
                $(this).addClass('fa-eye-slash');
            }
            password.attr('type', type);
        });
$("#datum_change_password_form").validate({
    rules: {
        current_password: {
            required: true,
            minlength: 8,
        },
        new_password: {
            required: true,
            minlength: 8,
            pwcheck: true,
        },
        reenter_password: {
            required: true,
            equalTo: "#new_password"
        }
    },
    messages: {
        current_password: {
            required: "Current Password is required.",
            minlength: "Password must be at least 8 characters.",
        },
        new_password: {
            required: "New Password is required.",
            minlength: "Password must be at least 8 characters.",
            pwcheck: "Password must be minimum 8 characters with at least 1 lowercase letter, 1 uppercase letter, 1 numeric character, and 1 special character.",
        },
        reenter_password: {
            required: "Re-enter New Password is required.",
            equalTo: "Passwords do not match.",
        }
    },
    submitHandler: function(form) {
        var changePassword = ajax_url+'?action=changed_password';
        $.ajax({
            url: changePassword,
            type: 'POST',
            dataType: 'JSON',
            data: $(form).serialize(),
            beforeSend: function() {
                //$(form).find('[type="submit"]').prop('disabled', true);
            }
        }).done(function(res) {
            switch(res.data.type) {
                case 'success' :
                    if(!$('.datum_modal').hasClass('is-visible')){
                        $('.datum_modal').toggleClass('is-visible');
                    }
                    location.reload();
                    //$('#datum_popup_html').html(res.data.html);
                    break;
                case 'failure' :
                    _res = res.data.html;
                    $(form).find('.js-error').html('');
                    //  Show validate messages
                    $.each(_res, function(index, val) {
                        $(form).find(':input[name="' + index + '"]').closest('.datum_form_group').find('.js-error').html(val);
                    });
                    break;
                default :
                    break;
            }
        }); 
    }
});
jQuery.validator.addMethod('pwcheck', function (value, element) {
        if (/^(?=.*[A-Z])(?=.*[!@#$&*])(?=.*[0-9])(?=.*[a-z]).{8,100}$/.test(value)) {
            return true;
        } else {
            return false;
        };
    });
</script>