<?php
get_header();

global $single_property;
$post_name  = get_option('datum_property_listing_id');

$dm_post    = get_post($post_name);
if( ! function_exists('formatPhoneNumber')){
    function formatPhoneNumber($phoneNumber) {
        $phoneNumber = preg_replace('/[^0-9]/','',$phoneNumber);
        if(strlen($phoneNumber) == 10) {
            $areaCode = substr($phoneNumber, 0, 3);
            $nextThree = substr($phoneNumber, 3, 3);
            $lastFour = substr($phoneNumber, 6, 4);
            $phoneNumber = $areaCode.'-'.$nextThree.'-'.$lastFour;
        }
        return $phoneNumber;
    }
}
$data       = DM_Curl::HTTPPost(array(),'user-page-access');
$userAccess = json_decode($data);

?>

    <section id="banner-section" class="banner-section main-banner team-banner-section" data-aos="fade-up" data-aos-duration="1500">
        <div class="video-box">
            <video autoplay muted loop style>
                <source src="<?php echo DATUM_PLUGIN_URL ?>images/blurry-office.mp4" type="video/mp4">
            </video>
        </div>

        <section  class="team-profile-section">
            <a href="#team-profile" class="go-bottom">
                <i class="fas fa-arrow-up"></i>
            </a>

            <div class="container">
                <div class="row d-flex justify-content-center align-items-end">
                    <div class="col-md-4 col-lg-4" data-aos="fade-up" data-aos-duration="1500">
                        <div class="user-img">
                            <div id="team-profile" class="img-box">
                                <!-- <img src="<?php echo home_url(); ?>/wp-content/themes/colliers/assets/img/team-photo/fulp-sean-portrait.png" class="img-fluid" alt="" /> -->
                                <img src="<?php echo $agentDetails->ProfileImage; ?>" class="img-fluid" alt="" />
                            </div>
                        </div>
                    </div>
                    <div class="col-md-8 col-lg-8 d-none-destop" data-aos="fade-up" data-aos-duration="1500">
                        <div class="user-name">
                            <span>
                                About
                            </span>
                            <h3>
                                <?php echo $agentDetails->FirstName.' '.$agentDetails->LastName; ?>
                            </h3>
                            <?php if(!empty($agentDetails->Title)){ ?><p><?php echo $agentDetails->Title; ?></p><?php } ?>

                        </div>
                    </div>
                </div>
            </div>
        </section>
        
    </section>

    <section class="team-profile-detali">
        <div class="container">
            <div class="row">

                <div class="col-md-12 col-lg-8 d-none-mob" data-aos="fade-up" data-aos-duration="1500">
                    <div class="user-name">
                        <span>
                            About
                        </span>
                        <h3>
                            <?php echo $agentDetails->FirstName.' '.$agentDetails->LastName; ?>
                        </h3>
                        <?php if(!empty($agentDetails->Title)){ ?><p><?php echo $agentDetails->Title; ?></p><?php } ?>

                    </div>
                </div>

                <div class="col-md-12 col-lg-4 team-social" data-aos="fade-up" data-aos-duration="1500">
                    <ul class="profile-social">
                        <?php if (!empty($agentDetails->WorkPhone)) : ?>
                            <li>
                                <span class="profile-social-icon">
                                    <img src="<?php echo home_url(); ?>/wp-content/themes/colliers/assets/img/user-phone.svg" class="img-fluid" alt="" />
                                </span>
                                <a href="tel:<?php echo formatPhoneNumber($agentDetails->WorkPhone); ?>">
                                    <?php echo formatPhoneNumber($agentDetails->WorkPhone); ?>
                                </a>
                            </li>
                        <?php endif; ?>
                        <li>
                            <span class="profile-social-icon">
                                <img src="<?php echo home_url(); ?>/wp-content/themes/colliers/assets/img/user-email.svg" class="img-fluid" alt="" />
                            </span>
                            <a href="mailto:<?php echo $agentDetails->Email; ?>">
                                <?php echo $agentDetails->Email; ?>
                            </a>
                        </li>
                        <?php if(!empty($agentDetails->Address || $agentDetails->Suite || $agentDetails->City || $agentDetails->State || $agentDetails->ZipCode)){ ?>
                            <li>
                            <span class="profile-social-icon">
                                <img src="<?php echo home_url(); ?>/wp-content/themes/colliers/assets/img/user-location.svg" class="img-fluid" alt="" />
                            </span>
 
                            
                            <a href="javaScript:void(0);"><?php echo $agentDetails->Address; if(!empty($agentDetails->Address && $agentDetails->Suite)){echo ', ';} echo $agentDetails->Suite; ?><br> <?php echo $agentDetails->City; if(!empty($agentDetails->City) && !empty($agentDetails->State)){echo ', ';} echo $agentDetails->State; if(!empty($agentDetails->State) && !empty($agentDetails->ZipCode)){echo ' ';} echo $agentDetails->ZipCode; ?>
                            </a>
                            
                        </li>
                        <?php } ?>
                        <?php if (!empty($agentDetails->LinkedIn)) : ?>
                            <li>
                                <a href="<?php echo esc_url($agentDetails->LinkedIn); ?>" target="_blank" rel="noopener noreferrer">
                                    <span class="profile-social-icon">
                                        <img src="<?php echo esc_url(home_url()); ?>/wp-content/themes/colliers/assets/img/linkedin.svg" class="img-fluid" alt="LinkedIn Icon" />
                                    </span>
                                </a>
                            </li>
                        <?php endif; ?>
                        </li>
                    </ul>
                </div>
                <div class="col-md-12 col-lg-8" data-aos="fade-up" data-aos-duration="1500">
                    <div class="team-profile-detalis">
                        <?php echo $agentDetails->Bio; ?>
                    </div>
                </div>
            </div>
        </div>
    </section>

<?php if(!empty($agentDetails->closed_property)) { ?>
<style>
.datum_title-with-border h2:after{background:none !important;}
</style>
<section class="clearfix datum_closed_listings_section">
    <div class="container-fluid overflow-hide">
        <div class="row agent-detail-closed-listing-slider">
            <div class="col-md-12">
                <div class="title-style1">
                    <h2>Closed Listings</h2>
                </div>
                <a href="<?php echo getDMClosedURLPage(); ?>" class="border-btn datum-insights-border-btn">View all</a>
            </div>
        </div>
        <?php 
            $count  = count($agentDetails->closed_property);
            $class = "";
            switch ($count) {
                case 1:
                    $class = "closed_listings_slider1";
                    break;
                case 2:
                    $class = "closed_listings_slider2";
                    break;
                default:
                    $class = "closed_listings-slider";
            }
        ?>
        <div class="slider datum_filtered_listing datum_portfolio_item datum_closed_listings-slider <?php echo $class; ?> <?php if($userAccess->type != 'Approved'){ echo 'blur_theme_selection'; } ?>">
                <?php
                foreach ( $agentDetails->closed_property as $key => $value ) {
                    $single_property = $value;
                    ?>
                    <div class="datum_item datum_col_4">
                        <a href="<?php echo getDMProperyURL(); ?>">
                            <div class="datum_property_listing">
                                <div class="datum_img-box">
                                    <div class="datum_slick_carousel slider">
                                    <?php
                                    if(!empty(getDMpropertyOtherImageLG())){
                                        //foreach (getDMOtherImage()[0] as $img_name) {
                                        ?>

                                            <div>
                                                <div class="slide-content"> <img src="<?php echo getDMpropertyOtherImageLG()[0]; ?>" alt="<?php echo getDMPropertyName(); ?>"></div>
                                            </div>

                                        <?php
                                        //}
                                    } else if(!empty(getDMPropertyMyListingMarkerListImageLG())) {
                                        ?>
                                        <div>
                                            <div class="slide-content">
                                                <img src="<?php echo getDMPropertyMyListingMarkerListImageLG(); ?>" alt="<?php echo getDMPropertyImageAltText(); ?>">
                                            </div>
                                        </div>
                                        <?php
                                    } else {
                                        ?>
                                        <div>
                                            <div class="slide-content">
                                                <img src="https://cdn.pixabay.com/photo/2016/11/29/03/53/architecture-1867187_960_720.jpg" alt="">
                                            </div>
                                        </div>
                                        <?php
                                    }
                                    ?>
                                    </div>
                                    <!-- <label class="datum_star_toggle">
                                        <input type="checkbox" />
                                        <div class="datum_icon">
                                            <div class="datum_star"> </div>
                                        </div>
                                    </label> -->
                                    <!-- <span class="datum_property_type_label">Collab</span>  -->
                                </div>
                                <div  class="datum_project_detail">
                                    <div class="datum_project_title">
                                        <div class="datum_project_content">
                                            <h4 class="datum_inner_title"><?php echo getDMPropertyName(); ?></h4>
                                            <p class="datum_inner_subtitle"><?php echo getDMPropertyCity(); ?>, <?php echo  getDMPropertyState(); ?></p>
                                        </div>
                                        <div class="datum_project_price text-blue"> <?php echo getDMPropertyAskingPrice(); ?></div>
                                    </div>
                                    <?php
                                            $propertystatus = getDMPropertyListingStatus();
                                            if (getDMPropertyListingStatus() == 'Offers Due') {
                                                $propertystatus = getDMPropertyListingStatus() .' '.getDMPropertyStatusDate();
                                            }
                                            ?>
                                    <div class="datum_sub-detail">
                                        <div class="datum_project_type"><?php echo getDMPropertyPropertyStatus(); ?></div>
                                        <div class="datum_due_date"><?php echo $propertystatus; ?></div>
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                <?php
                
                $s++;
            } ?>
        </div>
        
    </div>
</section>
<?php } ?>
<?php
    get_footer();
?>