<?php
$propertyName   = getDMPropertyName();
$property_id    = getDMPropertyId();
global $userLoggedInd;
?>
<div class="datum_modal_wrapper datum_modal_wrapper_signup datum_modal_transition datum_request_info_form">
    <div class="datum_login_popupbox">
        <a class="datum_login_close" href="javascript:void(0);">&times;</a>
        <div class="datum_login_content">
            <form id="datum_request_info_form" method="post" name="datum_request_info_form">
                <input type="hidden" name="property_id" value="<?php echo $property_id; ?>">
                <div class="datum_row">
                    <div class="datum_col_12" id="closed-title-inquiry">
                        <h2>Closed Deal Inquiry</h2>
                    </div>
                </div>
                <div class="datum_signup_popup_laststep" id="updateThank" style="display: none;">
                    <div class="datum_form_group">
                        <h3 class="text-center">Thank you for your inquiry. A member of our team will be in touch shortly.</h3>
                    </div>
                </div>

                <div id="request-info-content">
                    <div class="datum_row">
                        <div class="datum_col_6">
                            <div class="datum_form_group ">
                                <label class="datum_label" for="first_name">First Name<span>*</span></label>
                                <input class="datum_form-control" type="text" name="first_name" id="first_name" value="<?php echo (getDMUserFirstName()) ? getDMUserFirstName() : '';?>">
                                <span class="error js-error" id="first_name"></span>
                            </div>
                        </div>
                        <div class="datum_col_6">
                            <div class="datum_form_group ">
                                <label class="datum_label" for="last_name">Last Name<span>*</span></label>
                                <input class="datum_form-control" type="text" name="last_name" id="last_name" value="<?php echo (getDMUserLastName()) ? getDMUserLastName() : '';?>">
                                <span class="error js-error" id="last_name"></span>
                            </div>
                        </div>
                    </div>
                    <div class="datum_row">
                        <div class="datum_col_6">
                            <div class="datum_form_group ">
                                <label class="datum_label" for="emailid">Email Address<span>*</span></label>
                                <input class="datum_form-control" type="text" name="email" id="emailid" value="<?php echo (getDMUserEmail()) ? getDMUserEmail() : '';?>">
                                <span class="error js-error" id="email"></span>
                            </div>
                        </div>
                        <div class="datum_col_6">
                            <div class="datum_form_group ">
                                <label class="datum_label" for="work_phone">Work Phone<span>*</span></label>
                                <input class="datum_form-control phone_number" type="text" name="work_phone" id="work_phone" value="<?php echo (getDMUserMobilePhone()) ? getDMUserMobilePhone() : '';?>">
                                <span class="error js-error" id="work_phone"></span>
                            </div>
                        </div>
                    </div>
                    <div class="datum_row">
                        <div class="datum_col_12">
                            <div class="datum_form_group ">
                                <label class="datum_label" for="message">Message<span>*</span></label>
                                <textarea class="datum_form-control datum_textarea_control" name="message" id="message" <?php echo (getDMUserFirstName()) ? "" : 'disabled';?>>I'm interested in learning more about this transaction. Please contact me at your convenience. Thank you.</textarea>
                                <span class="error js-error" id="message"></span>
                            </div>
                        </div>
                    </div>
                    <div class="datum_row">
                        <div class="datum_col_12 mt-15">
                            <button type="submit" class="datum_btn_primary btn-lg datum_float_right" id="send_message">Send Message</button>
                        </div>
                    </div>
                </div>

            </form>
        </div>
    </div>
</div>

<script type="text/javascript">
    $('.phone_number').inputmask("999-999-9999");
    $("#datum_request_info_form").validate({
        rules: {
            first_name: {
                required: true,
            },
            last_name: {
                required: true,
            },
            email: {
                required: true,
                email: true
            },
            work_phone: {
                required: true,
            },
            message: {
                required: true,
            },
        },
        messages: {
            first_name: {
                required: "First Name is required.",
            },
            last_name: {
                required: "Last Name is required.",
            },
            email: {
                required: "Email Address is required.",
            },
            work_phone: {
                required: "Work Phone is required.",
            },
            message: {
                required: "Message is required.",
            }
        },
        submitHandler: function(form) {
            $(form).find('[type="submit"]').prop('disabled', true);
            var requestFrm = ajax_url+'?action=request_info';
            jQuery.ajax({
                type    : 'POST',
                url     : requestFrm,
                data    :  $(form).serialize(),
                dataType: 'json',
                beforeSend : function() {
                    loadingshow();
                },
                success : function(res) {
                    $('#error_login').html('');
                    $(form).find('[type="submit"]').prop('disabled', false);
                    switch(res.data.type) {
                        case 'success' :
                            var html = res.data.html;
                            //$('#request-info-content').html('<div class="datum_row">' + html + '</div>');
                            $('#closed-title-inquiry').addClass('closed-title-inquiry');
                            $('#updateThank').show();
                            $('#request-info-content').hide();
                            break;
                        case 'failure' :
                            for(var i in res.data.html) {
                                var msgs = '';
                                if(res.data.html[i].length) {
                                    jQuery("#"+ i ).text(res.data.html[i][0]);
                                }
                            }
                            break;
                        default :
                            break;
                    }
                },
                complete : function() {
                    loadinghide();
                }
            });
            return false;
        }
    });
</script>