<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
global $single_property;
if(empty($single_property->property_images)){
    $property_image = array('s','s');
}else{
    $property_image = json_decode($single_property->property_images);
}
$arr_askingprice = getDMPropertyAskingPrice();
if (getDMPropertyIsUnpriced() == 1) {
    $arr_askingprice = 'Unpriced';
}



if(getDMPropertyListingStatus() == 'Closed'){
	
	$arr_salesprice = getDMPropertySalesPrice();
	if (getDMPropertyIsConfidential() == 1) {
		$arr_salesprice = 'Confidential';
	}
	$arr_salepricepsf = "";
	if (getDMPropertySalePricePsfIsConfidential() == 1) {
		$arr_salepricepsf = 'Confidential';
	} else {
		$arr_salepricepsf = getDMPropertySalePricePsf();
	}
//print_r($single_property);
	$p_details_add = array(
		'Sale Details' => array(
			0 => array( 
				'Sale Price'      => $arr_salesprice,
				'Sale Price PSF'  => $arr_salepricepsf,
				'Sale Price/Unit' => getDMPropertyIsSalePriceUnit(),
				'Sale Cap Rate'   => getDMPropertyClosingCapRate(),
				'Sale Price vs. Asking Price' => getDMPropertyIsSpVsAp(),
				'Closing Date'    => getDMPropertyCloseDate(),
				'Buyer'          => getDMPropertyBuyerCompanyName(),
				'Seller' => getDMPropertySellerCompanyName(),
				'Page Views' => getDMPropertyTotalPageViews(),
				'Executed CA\'s'  => getDMPropertyTotalCACounts(),
				'OM Downloads' => getDMPropertyTotalDownloadCounts(),
				'Offers Received' => getDMPropertyTotalOfferCounts(),
				'Days on Market'      => getDMPropertyIsDaysOnMarket(),
			),
		),
	);
	//print_r($p_details_add);
}
else {

	$p_details_add = array(
		'Pricing' => array(
			0 => array( 
				'Asking Price'      => getDMPropertyAskingPrice(),
				'Price PSF'         => getDMPropertyPricePsf(),
				'Price/Unit'        => getDMPropertyPriceUnit(),
				'Price/Acre'        => getDMPropertyAcresPrice(),
				'WALT'              => getDMPropertyWalt(),
				'Cap Rate'          => getDMPropertyYear1CapRate(),
				'NOI'               => getDMPropertyYear1Noi(),
				'In-Place Cap Rate' => getDMPropertyInPlaceCapRate(),
				'In-Place NOI'      => getDMPropertyInPlaceNoi(),
				'T12 Cap Rate'      => getDMPropertyT12Caprate(),
				'T12 NOI'           => getDMPropertyT12NOI(),
				'In-Place Rents'    => getDMPropertyInPlaceRents(),
				'Market Rents'      => getDMPropertyMarketRents(),
				'Rents Below Market' => getDMPropertyAvgInplaceRentsBelowMarket(),
				'Mark-to Market Cap Rate' => getDMPropertyMarkToMarketCapRate(),
				'GRM'               => getDMPropertyGrm(),
				'Potential GRM'     => getDMPropertyPotentialGrm(),
				'Investment Period' => getDMPropertyInvestmentPeriod(),
				'Unlevered IRR'     => getDMPropertyUnleveredIrr(), 
				'Levered IRR'       => getDMPropertyLeveredIrr(),
				'Equity Multiple'   => getDMPropertyYr10EquityMultiple(),
				'Cash-on-Cash'      => getDMPropertyCashOnCash(),
				'Return-on-Cost'    => getDMPropertyReturnOnCost(),
			),
		),
		'Details' => array(
			0 => array( 
				'Property Type'     => getDMPropertyPropertyStatus('',true),
				'Listing Status'   	=> getDMPropertyListingStatus(),
				'HospitalityData'	=> getDMHospitalityData(),
				'Seller' => getDMPropertySellerCompanyName(),
				'Square Feet'       => number_format(getDMPropertySqFeet()),
				'Units'             => getDMPropertyUnits(),
				'Occupancy'         => getDMPropertyOccupancy(),
				'Year Built'        => getDMPropertyYearBuilt(),
				'Year Renovated'    => getDMPropertyYearRenovated(),
				'Capital Invested'  => '$'.number_format(getDMPropertyCapitalInvested()),
				'Building Class'    => getDMPropertyBuildingClass(),
				'Building(s)'       => getDMPropertyBuilding(),
				'Stories'           => getDMPropertyStories(),
				'Parking Ratio'     => getDMPropertyParkingRatio(),
				'Acres'             => number_format(getDMPropertyLotSize(),2),         
				'Zoning'            => getDMPropertyZoning(),
				'APN'               => getDMPropertyApn(),
				'Tenancy'           => getDMPropertyTenancy(),
				'Lease Type'        => getDMPropertyLeaseType(),
				'Ownership Interest'=> getDMOwnersip(),
			),
		),
	);

}
?>
	<?php
	foreach ($p_details_add as $key => $value) {
	echo '<div class="basic-detail">';
	    echo '<h4 class="headline">'.$key.'</h4>';
	    echo '<ul>';
	        foreach ($value as $k1 => $v1) {
	        	echo '<div class="innerDiv">';
	        		foreach ($v1 as $k => $v) {
	        			
	        			if($k == 'HospitalityData'){
	        				foreach($v as $k2 => $v2 ){
	        					if($v2 != 'None' && $v2 != ''){
	        						echo '<li>'.$k2.'<span>'.$v2.'</span></li>';
	        					}
	        				}
	        			}else{        				
		        			if ($v == '' || empty($v) || $v == '$' || $v == '0' || $v == '$0' || $v == '0.00%' || $v == '0%' || $v == '0.00X' || $v == '0 Years' || $v == '0.00 Years' || $v == '0.0%') 
							{
								if ($k == 'Occupancy' && getDMPropertyTenancy() == 'Vacant') {
		            				echo '<li>'.$k.'<span>'.$v.'</span></li>';
								}
							}else{
		            			echo '<li>'.$k.'<span>'.$v.'</span></li>';

							}
	        			}
	        			
	        		}
	        	echo '</div>';
	        }
	    echo '</ul>';
	echo '</div>';
}
?> 